Subject: Re: linux-next: Tree for April 14 (Call-traces: RCU/ACPI/WQ related?)

From: "Paul E. McKenney" <[email-masked]>
Date: Tue, 26 Apr 2011 04:31:13 -0700

On Tue, Apr 26, 2011 at 12:06:57PM +0200, Peter Zijlstra wrote:
> On Sun, 2011-04-24 at 09:43 -0700, Paul E. McKenney wrote:
> > 
> > Peter, any thoughts on what I might have done wrong to get the scheduler
> > into a state where it was ignoring a runnable realtime task? 
> 
> Not really, the only thing I can think of is something like poking at
> task->state while its sleeping. One you set it to TASK_RUNNING wakeups
> will be ignored since its already running ;-)

Well, that does give my something to check for -- thank you!

							Thanx, Paul